summaryrefslogtreecommitdiff
path: root/package/base-files/extra/etc/network/if-pre-up.d
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
commit6daa792eab1488d013fefc5eb7e4d01f40f38687 (patch)
tree6391cc46bb9fc8b859d99175ea317e5fa7b37959 /package/base-files/extra/etc/network/if-pre-up.d
parentadcaca72539b2ff4a5f4deee00d5f0251378ac9b (diff)
change defaults for CONFIG/BUILD/INSTALL styles
All packages need an update, so here is a very huge commit. Most of the 460 source packages use automatic style for configuration, building and installing. Make these styles default to "auto". If you have a package, which does not conform to this, just use manual style and add a do-$task make target. I added a new style named AUTOTOOL style, which is needed for some broken packages, which needs to be updated via autoconf or automake. I renamed CONFIGURE_STYLE to CONFIG_STYLE. Updates for some packages, which have newer upstream versions. Renaming of all package/*/extra directories. Use the directory src/ to provide overwrites of source files or to add the code, when no upstream package is available or used. src directory will be automatically used.
Diffstat (limited to 'package/base-files/extra/etc/network/if-pre-up.d')
-rwxr-xr-xpackage/base-files/extra/etc/network/if-pre-up.d/01-atm41
-rwxr-xr-xpackage/base-files/extra/etc/network/if-pre-up.d/02-vlan36
-rwxr-xr-xpackage/base-files/extra/etc/network/if-pre-up.d/03-bridge29
3 files changed, 0 insertions, 106 deletions
diff --git a/package/base-files/extra/etc/network/if-pre-up.d/01-atm b/package/base-files/extra/etc/network/if-pre-up.d/01-atm
deleted file mode 100755
index 5c168c001..000000000
--- a/package/base-files/extra/etc/network/if-pre-up.d/01-atm
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/bin/sh
-
-[ -x /usr/sbin/br2684ctl ] || exit 0
-
-[ "${IFACE%%[0-9]*}" = "nas" ] || exit 0
-
-[ "$IF_ATM_ENCAPS" ] || encap=0
-[ "$IF_ATM_PAYLOAD" ] || payload=1
-[ "$IF_ATM_VPI" ] || IF_ATM_VPI=1
-[ "$IF_ATM_VCI" ] || IF_ATM_VCI=32
-
-[ "$IF_ATM_PAYLOAD" ] && case "$IF_ATM_PAYLOAD" in
-bridged)
- payload=1
- ;;
-routed)
- payload=0
- ;;
-*)
- echo "Wrong payload, use either bridged or routed"
- exit 1
- ;;
-esac
-
-[ "$IF_ATM_ENCAPS" ] && case "$IF_ATM_ENCAPS" in
-llc)
- encap=0
- ;;
-vc)
- encap=1
- ;;
-*)
- echo "Wrong Encapsulation use either llc or vc"
- exit 1
- ;;
-esac
-
-br2684ctl -b -c ${IFACE##*[a-z]} -e $encap -p $payload -a $IF_ATM_VPI.$IF_ATM_VCI
-ifconfig nas${IFACE##*[a-z]} up
-
-exit 0
diff --git a/package/base-files/extra/etc/network/if-pre-up.d/02-vlan b/package/base-files/extra/etc/network/if-pre-up.d/02-vlan
deleted file mode 100755
index 35b7fca59..000000000
--- a/package/base-files/extra/etc/network/if-pre-up.d/02-vlan
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-[ -x /sbin/vconfig ] || exit 0
-[ -d /proc/net/vlan ] || exit 0
-
-case "$IFACE" in
- vlan*)
- vconfig set_name_type VLAN_PLUS_VID_NO_PAD
- VLANID=`echo $IFACE|sed "s/vlan*//"`
- ;;
- eth*.*)
- vconfig set_name_type DEV_PLUS_VID_NO_PAD
- VLANID=`echo $IFACE|sed "s/eth[0-9][0-9]*\.*//g"`
- IF_VLAN_RAW_DEVICE=`echo $IFACE|sed "s/\(eth[0-9][0-9]*\)\..*/\1/"`
- ;;
- *)
- exit 0
- ;;
-esac
-
-if [ "$IF_VLAN_RAW_DEVICE" != "" ]; then
- if ! grep -q "$IF_VLAN_RAW_DEVICE" /proc/net/dev
- then
- echo "$IF_VLAN_RAW_DEVICE does not exist, unable to create $IFACE"
- exit 1
- fi
- ip link set up dev $IF_VLAN_RAW_DEVICE
- vconfig add $IF_VLAN_RAW_DEVICE $VLANID
- if [ "$IF_MAC_ADDRESS" != "" ]
- then
- ip link set $IF_VLAN_RAW_DEVICE.$VLANID address $IF_MAC_ADDRESS
- fi
- ip link set up dev $IF_VLAN_RAW_DEVICE.$VLANID
-fi
-
-exit 0
diff --git a/package/base-files/extra/etc/network/if-pre-up.d/03-bridge b/package/base-files/extra/etc/network/if-pre-up.d/03-bridge
deleted file mode 100755
index 41ddb2b58..000000000
--- a/package/base-files/extra/etc/network/if-pre-up.d/03-bridge
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/bin/sh
-
-[ -x /usr/sbin/brctl ] || exit 0
-
-case "$IF_BRIDGE_PORTS" in
- "")
- exit 0
- ;;
- none)
- INTERFACES=""
- ;;
- *)
- INTERFACES="$IF_BRIDGE_PORTS"
- ;;
-esac
-
-brctl addbr $IFACE || exit 1
-
-for IF in $INTERFACES; do
- if ! grep -q $IF /proc/net/dev; then
- echo "Error: interface '$IF' does not exist!"
- brctl delbr $IFACE
- exit 1
- fi
- brctl addif $IFACE $IF
- ip link set up dev $IF
-done
-
-exit 0